---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    The test suite's runs, newest first, with their… Reference for the GET
    /v1/projects/{projectId}/test-suites/{testSuiteId}/runs endpoint in the
    Judgeval API.
sidebar:
  label: List test runs
  badge: GET
title: List test runs
type: openapi-operation
---
The test suite's runs, newest first, with their case counts.

`GET /v1/projects/{projectId}/test-suites/{testSuiteId}/runs`

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
{
  "runs": [
    {
      "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
      "test_suite_id": "24b8f606-0469-466c-ae80-0678f89ae1bf",
      "test_suite_version": 0,
      "scored_from_run_id": "820c60a4-665e-487e-b240-fda59a559ec9",
      "candidate": "string",
      "candidate_meta": {},
      "trigger": "string",
      "case_filter": {
        "kind": "all"
      },
      "cases_total": 0,
      "cases_with_output": 0,
      "cases_scored": 0,
      "cases_passed": 0,
      "cases_failed": 0,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_offset": 0
}
```
